/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Enum.java to edit this template
 */
package com.qsoft.rs.sincoar.constantes;
import com.qsoft.rs.sincoar.dto.*;
import com.qsoft.rs.sincoar.dominio.mapper.*;
import com.qsoft.rs.sincoar.model.*;

/**
 *
 * @author developer2
 */
public enum EntidadEnum {

    Tcustpersonparametersid(Tcustpersonparametersid.class, TcustpersonparametersidDTO.class, TcustpersonparametersidMapper.class),
    TgenemenusublevelPK(TgenemenusublevelPK.class, TgenemenusublevelPKDTO.class, TgenemenusublevelPKMapper.class),
    Tarminventariosubidoporpersona(Tarminventariosubidoporpersona.class, TarminventariosubidoporpersonaDTO.class, TarminventariosubidoporpersonaMapper.class),
    Tgenecurrencydesc(Tgenecurrencydesc.class, TgenecurrencydescDTO.class, TgenecurrencydescMapper.class),
    MdOtherObjects(MdOtherObjects.class, MdOtherObjectsDTO.class, MdOtherObjectsMapper.class),
    TsafeauditPK(TsafeauditPK.class, TsafeauditPKDTO.class, TsafeauditPKMapper.class),
    Tgeneaccountingdate(Tgeneaccountingdate.class, TgeneaccountingdateDTO.class, TgeneaccountingdateMapper.class),
    Tlogload(Tlogload.class, TlogloadDTO.class, TlogloadMapper.class),
    Tcustpeoplejob(Tcustpeoplejob.class, TcustpeoplejobDTO.class, TcustpeoplejobMapper.class),
    TgeneareaPK(TgeneareaPK.class, TgeneareaPKDTO.class, TgeneareaPKMapper.class),
    TgenesubproductPK(TgenesubproductPK.class, TgenesubproductPKDTO.class, TgenesubproductPKMapper.class),
    TgenesegmentratePK(TgenesegmentratePK.class, TgenesegmentratePKDTO.class, TgenesegmentratePKMapper.class),
    TgeneprocessdescPK(TgeneprocessdescPK.class, TgeneprocessdescPKDTO.class, TgeneprocessdescPKMapper.class),
    TsafeuserdetailPK(TsafeuserdetailPK.class, TsafeuserdetailPKDTO.class, TsafeuserdetailPKMapper.class),
    Tcustpersondetail(Tcustpersondetail.class, TcustpersondetailDTO.class, TcustpersondetailMapper.class),
    Tgenemenudesc(Tgenemenudesc.class, TgenemenudescDTO.class, TgenemenudescMapper.class),
    Tbpmtaskcomments(Tbpmtaskcomments.class, TbpmtaskcommentsDTO.class, TbpmtaskcommentsMapper.class),
    TgenechannelsdescPK(TgenechannelsdescPK.class, TgenechannelsdescPKDTO.class, TgenechannelsdescPKMapper.class),
    TgeneratesgroupPK(TgeneratesgroupPK.class, TgeneratesgroupPKDTO.class, TgeneratesgroupPKMapper.class),
    Tcustbalanceaccolevel(Tcustbalanceaccolevel.class, TcustbalanceaccolevelDTO.class, TcustbalanceaccolevelMapper.class),
    Tgenedictionary(Tgenedictionary.class, TgenedictionaryDTO.class, TgenedictionaryMapper.class),
    TgeneaccountbatchprocessPK(TgeneaccountbatchprocessPK.class, TgeneaccountbatchprocessPKDTO.class, TgeneaccountbatchprocessPKMapper.class),
    TgenebalancetypedetailPK(TgenebalancetypedetailPK.class, TgenebalancetypedetailPKDTO.class, TgenebalancetypedetailPKMapper.class),
    Tarmrespuestas(Tarmrespuestas.class, TarmrespuestasDTO.class, TarmrespuestasMapper.class),
    TgeneaccountingdatePK(TgeneaccountingdatePK.class, TgeneaccountingdatePKDTO.class, TgeneaccountingdatePKMapper.class),
    Tcustperson(Tcustperson.class, TcustpersonDTO.class, TcustpersonMapper.class),
    TgenelabelPK(TgenelabelPK.class, TgenelabelPKDTO.class, TgenelabelPKMapper.class),
    Tgenechannelsdesc(Tgenechannelsdesc.class, TgenechannelsdescDTO.class, TgenechannelsdescMapper.class),
    TgenedictionaryPK(TgenedictionaryPK.class, TgenedictionaryPKDTO.class, TgenedictionaryPKMapper.class),
    Tarmunidadtipo(Tarmunidadtipo.class, TarmunidadtipoDTO.class, TarmunidadtipoMapper.class),
    Tarmequivalencia(Tarmequivalencia.class, TarmequivalenciaDTO.class, TarmequivalenciaMapper.class),
    Tarmterminos(Tarmterminos.class, TarmterminosDTO.class, TarmterminosMapper.class),
    Tgeneoffice(Tgeneoffice.class, TgeneofficeDTO.class, TgeneofficeMapper.class),
    TarmcomeCabeceraTransaccion(TarmcomeCabeceraTransaccion.class, TarmcomeCabeceraTransaccionDTO.class, TarmcomeCabeceraTransaccionMapper.class),
    Tgenecompany(Tgenecompany.class, TgenecompanyDTO.class, TgenecompanyMapper.class),
    MdSynonyms(MdSynonyms.class, MdSynonymsDTO.class, MdSynonymsMapper.class),
    TgenebaseratePK(TgenebaseratePK.class, TgenebaseratePKDTO.class, TgenebaseratePKMapper.class),
    Tarmsolicitudagenciasucursal(Tarmsolicitudagenciasucursal.class, TarmsolicitudagenciasucursalDTO.class, TarmsolicitudagenciasucursalMapper.class),
    TsafeprofilehoraryamountPK(TsafeprofilehoraryamountPK.class, TsafeprofilehoraryamountPKDTO.class, TsafeprofilehoraryamountPKMapper.class),
    MgvAllCatalogs(MgvAllCatalogs.class, MgvAllCatalogsDTO.class, MgvAllCatalogsMapper.class),
    Tbpmfieldtransactionmaping(Tbpmfieldtransactionmaping.class, TbpmfieldtransactionmapingDTO.class, TbpmfieldtransactionmapingMapper.class),
    TgenecredittypedescPK(TgenecredittypedescPK.class, TgenecredittypedescPKDTO.class, TgenecredittypedescPKMapper.class),
    TgeneresultsPK(TgeneresultsPK.class, TgeneresultsPKDTO.class, TgeneresultsPKMapper.class),
    Tgenecurrencyrategroup(Tgenecurrencyrategroup.class, TgenecurrencyrategroupDTO.class, TgenecurrencyrategroupMapper.class),
    TgenechargesPK(TgenechargesPK.class, TgenechargesPKDTO.class, TgenechargesPKMapper.class),
    TgeneaccountingdatebranchPK(TgeneaccountingdatebranchPK.class, TgeneaccountingdatebranchPKDTO.class, TgeneaccountingdatebranchPKMapper.class),
    Tgenereportdetail(Tgenereportdetail.class, TgenereportdetailDTO.class, TgenereportdetailMapper.class),
    TgenebranchPK(TgenebranchPK.class, TgenebranchPKDTO.class, TgenebranchPKMapper.class),
    TgenetechnicalpatrimonyPK(TgenetechnicalpatrimonyPK.class, TgenetechnicalpatrimonyPKDTO.class, TgenetechnicalpatrimonyPKMapper.class),
    TcustpeopleotherassetsPK(TcustpeopleotherassetsPK.class, TcustpeopleotherassetsPKDTO.class, TcustpeopleotherassetsPKMapper.class),
    TegenecantondescPK(TegenecantondescPK.class, TegenecantondescPKDTO.class, TegenecantondescPKMapper.class),
    Tgenesegmentrate(Tgenesegmentrate.class, TgenesegmentrateDTO.class, TgenesegmentrateMapper.class),
    Tarmplanificaciontramite(Tarmplanificaciontramite.class, TarmplanificaciontramiteDTO.class, TarmplanificaciontramiteMapper.class),
    Tgeneinstallmenttype(Tgeneinstallmenttype.class, TgeneinstallmenttypeDTO.class, TgeneinstallmenttypeMapper.class),
    TsafeuserprofilePK(TsafeuserprofilePK.class, TsafeuserprofilePKDTO.class, TsafeuserprofilePKMapper.class),
    Tarmdocumentohabilitante(Tarmdocumentohabilitante.class, TarmdocumentohabilitanteDTO.class, TarmdocumentohabilitanteMapper.class),
    MgvAllTableTriggers(MgvAllTableTriggers.class, MgvAllTableTriggersDTO.class, MgvAllTableTriggersMapper.class),
    Tgenereadexcel(Tgenereadexcel.class, TgenereadexcelDTO.class, TgenereadexcelMapper.class),
    TcustpersonbalancePK(TcustpersonbalancePK.class, TcustpersonbalancePKDTO.class, TcustpersonbalancePKMapper.class),
    Tgenetransactionmessage(Tgenetransactionmessage.class, TgenetransactionmessageDTO.class, TgenetransactionmessageMapper.class),
    MdUsers(MdUsers.class, MdUsersDTO.class, MdUsersMapper.class),
    Tarmdocumentoalfresco(Tarmdocumentoalfresco.class, TarmdocumentoalfrescoDTO.class, TarmdocumentoalfrescoMapper.class),
    Tsafeprofilehorary(Tsafeprofilehorary.class, TsafeprofilehoraryDTO.class, TsafeprofilehoraryMapper.class),
    Tgeneciiu(Tgeneciiu.class, TgeneciiuDTO.class, TgeneciiuMapper.class),
    TbpmgroupsusersPK(TbpmgroupsusersPK.class, TbpmgroupsusersPKDTO.class, TbpmgroupsusersPKMapper.class),
    TgenemoduledescPK(TgenemoduledescPK.class, TgenemoduledescPKDTO.class, TgenemoduledescPKMapper.class),
    TarmlecturadetallePK(TarmlecturadetallePK.class, TarmlecturadetallePKDTO.class, TarmlecturadetallePKMapper.class),
    Tgenemenuprofile(Tgenemenuprofile.class, TgenemenuprofileDTO.class, TgenemenuprofileMapper.class),
    MdApplicationfiles(MdApplicationfiles.class, MdApplicationfilesDTO.class, MdApplicationfilesMapper.class),
    TgenequeryprocessPK(TgenequeryprocessPK.class, TgenequeryprocessPKDTO.class, TgenequeryprocessPKMapper.class),
    Tbpmrules(Tbpmrules.class, TbpmrulesDTO.class, TbpmrulesMapper.class),
    Tarmsanciondecomiso(Tarmsanciondecomiso.class, TarmsanciondecomisoDTO.class, TarmsanciondecomisoMapper.class),
    TgenetransactionreportlinkPK(TgenetransactionreportlinkPK.class, TgenetransactionreportlinkPKDTO.class, TgenetransactionreportlinkPKMapper.class),
    Tgenecatalogtest(Tgenecatalogtest.class, TgenecatalogtestDTO.class, TgenecatalogtestMapper.class),
    Tarmrequisitoportipotramite(Tarmrequisitoportipotramite.class, TarmrequisitoportipotramiteDTO.class, TarmrequisitoportipotramiteMapper.class),
    TcustpeoplejobPK(TcustpeoplejobPK.class, TcustpeoplejobPKDTO.class, TcustpeoplejobPKMapper.class),
    Tgeneprovincedesc(Tgeneprovincedesc.class, TgeneprovincedescDTO.class, TgeneprovincedescMapper.class),
    Tgenebranch(Tgenebranch.class, TgenebranchDTO.class, TgenebranchMapper.class),
    MdTables(MdTables.class, MdTablesDTO.class, MdTablesMapper.class),
    TbpmactivitiesPK(TbpmactivitiesPK.class, TbpmactivitiesPKDTO.class, TbpmactivitiesPKMapper.class),
    Tfirmcertificado(Tfirmcertificado.class, TfirmcertificadoDTO.class, TfirmcertificadoMapper.class),
    Tgenetransaction(Tgenetransaction.class, TgenetransactionDTO.class, TgenetransactionMapper.class),
    TgeneconceptdescPK(TgeneconceptdescPK.class, TgeneconceptdescPKDTO.class, TgeneconceptdescPKMapper.class),
    MdDerivatives(MdDerivatives.class, MdDerivativesDTO.class, MdDerivativesMapper.class),
    Tarmdetallepreguntas(Tarmdetallepreguntas.class, TarmdetallepreguntasDTO.class, TarmdetallepreguntasMapper.class),
    Tgeneinstallmenttypedesc(Tgeneinstallmenttypedesc.class, TgeneinstallmenttypedescDTO.class, TgeneinstallmenttypedescMapper.class),
    Tcustpeoplefixedincome(Tcustpeoplefixedincome.class, TcustpeoplefixedincomeDTO.class, TcustpeoplefixedincomeMapper.class),
    Tgenetransactionquery(Tgenetransactionquery.class, TgenetransactionqueryDTO.class, TgenetransactionqueryMapper.class),
    TcustcompanyproviderPK(TcustcompanyproviderPK.class, TcustcompanyproviderPKDTO.class, TcustcompanyproviderPKMapper.class),
    MdUserDefinedDataTypes(MdUserDefinedDataTypes.class, MdUserDefinedDataTypesDTO.class, MdUserDefinedDataTypesMapper.class),
    MgvAllSchema(MgvAllSchema.class, MgvAllSchemaDTO.class, MgvAllSchemaMapper.class),
    Tlogheader(Tlogheader.class, TlogheaderDTO.class, TlogheaderMapper.class),
    Tgenelanguage(Tgenelanguage.class, TgenelanguageDTO.class, TgenelanguageMapper.class),
    TgenecatalogdetailPK(TgenecatalogdetailPK.class, TgenecatalogdetailPKDTO.class, TgenecatalogdetailPKMapper.class),
    TgenemenulevelPK(TgenemenulevelPK.class, TgenemenulevelPKDTO.class, TgenemenulevelPKMapper.class),
    Tcustnotaryoffice(Tcustnotaryoffice.class, TcustnotaryofficeDTO.class, TcustnotaryofficeMapper.class),
    TgenemessagedescPK(TgenemessagedescPK.class, TgenemessagedescPKDTO.class, TgenemessagedescPKMapper.class),
    TgeneaccountbatchstatusPK(TgeneaccountbatchstatusPK.class, TgeneaccountbatchstatusPKDTO.class, TgeneaccountbatchstatusPKMapper.class),
    TgenesubproductchargesPK(TgenesubproductchargesPK.class, TgenesubproductchargesPKDTO.class, TgenesubproductchargesPKMapper.class),
    MigrDatatypeTransformMap(MigrDatatypeTransformMap.class, MigrDatatypeTransformMapDTO.class, MigrDatatypeTransformMapMapper.class),
    Tcustsupervisor(Tcustsupervisor.class, TcustsupervisorDTO.class, TcustsupervisorMapper.class),
    Tgeneproduct(Tgeneproduct.class, TgeneproductDTO.class, TgeneproductMapper.class),
    Tgeneratesgroup(Tgeneratesgroup.class, TgeneratesgroupDTO.class, TgeneratesgroupMapper.class),
    Tcustcompanyclient(Tcustcompanyclient.class, TcustcompanyclientDTO.class, TcustcompanyclientMapper.class),
    MdAdditionalProperties(MdAdditionalProperties.class, MdAdditionalPropertiesDTO.class, MdAdditionalPropertiesMapper.class),
    TgenemenuleveldescPK(TgenemenuleveldescPK.class, TgenemenuleveldescPKDTO.class, TgenemenuleveldescPKMapper.class),
    Tgenecharges(Tgenecharges.class, TgenechargesDTO.class, TgenechargesMapper.class),
    Tarmsolicitud(Tarmsolicitud.class, TarmsolicitudDTO.class, TarmsolicitudMapper.class),
    TlogloadPK(TlogloadPK.class, TlogloadPKDTO.class, TlogloadPKMapper.class),
    TgenetransactionglosaryPK(TgenetransactionglosaryPK.class, TgenetransactionglosaryPKDTO.class, TgenetransactionglosaryPKMapper.class),
    Tsafeusersessionlog(Tsafeusersessionlog.class, TsafeusersessionlogDTO.class, TsafeusersessionlogMapper.class),
    Tsafeuser(Tsafeuser.class, TsafeuserDTO.class, TsafeuserMapper.class),
    TcustcompanyfinancialPK(TcustcompanyfinancialPK.class, TcustcompanyfinancialPKDTO.class, TcustcompanyfinancialPKMapper.class),
    TgenecatalogdetailtestPK(TgenecatalogdetailtestPK.class, TgenecatalogdetailtestPKDTO.class, TgenecatalogdetailtestPKMapper.class),
    TcustbalanceaccountPK(TcustbalanceaccountPK.class, TcustbalanceaccountPKDTO.class, TcustbalanceaccountPKMapper.class),
    Tsafeauditinsdel(Tsafeauditinsdel.class, TsafeauditinsdelDTO.class, TsafeauditinsdelMapper.class),
    MdGroups(MdGroups.class, MdGroupsDTO.class, MdGroupsMapper.class),
    Tsafeaudit(Tsafeaudit.class, TsafeauditDTO.class, TsafeauditMapper.class),
    Tgeneconceptdesc(Tgeneconceptdesc.class, TgeneconceptdescDTO.class, TgeneconceptdescMapper.class),
    Tgeneaccountingdatebranch(Tgeneaccountingdatebranch.class, TgeneaccountingdatebranchDTO.class, TgeneaccountingdatebranchMapper.class),
    Tarmevaluacion(Tarmevaluacion.class, TarmevaluacionDTO.class, TarmevaluacionMapper.class),
    MgvAllStoredPrograms(MgvAllStoredPrograms.class, MgvAllStoredProgramsDTO.class, MgvAllStoredProgramsMapper.class),
    TgenecurrencyratePK(TgenecurrencyratePK.class, TgenecurrencyratePKDTO.class, TgenecurrencyratePKMapper.class),
    MdGroupMembers(MdGroupMembers.class, MdGroupMembersDTO.class, MdGroupMembersMapper.class),
    Tcustcompanymanagers(Tcustcompanymanagers.class, TcustcompanymanagersDTO.class, TcustcompanymanagersMapper.class),
    TarmsanciondecomisoPK(TarmsanciondecomisoPK.class, TarmsanciondecomisoPKDTO.class, TarmsanciondecomisoPKMapper.class),
    Tarmcentrocontrol(Tarmcentrocontrol.class, TarmcentrocontrolDTO.class, TarmcentrocontrolMapper.class),
    Tarmtramitesatendidos(Tarmtramitesatendidos.class, TarmtramitesatendidosDTO.class, TarmtramitesatendidosMapper.class),
    Tsafeprofilehoraryamount(Tsafeprofilehoraryamount.class, TsafeprofilehoraryamountDTO.class, TsafeprofilehoraryamountMapper.class),
    Tgenecountry(Tgenecountry.class, TgenecountryDTO.class, TgenecountryMapper.class),
    Tcustcompanyproducts(Tcustcompanyproducts.class, TcustcompanyproductsDTO.class, TcustcompanyproductsMapper.class),
    TarmsolicituddocumentoPK(TarmsolicituddocumentoPK.class, TarmsolicituddocumentoPKDTO.class, TarmsolicituddocumentoPKMapper.class),
    TsafeusersessionPK(TsafeusersessionPK.class, TsafeusersessionPKDTO.class, TsafeusersessionPKMapper.class),
    Tcustfinancialinstitutions(Tcustfinancialinstitutions.class, TcustfinancialinstitutionsDTO.class, TcustfinancialinstitutionsMapper.class),
    Tarmtiposancion(Tarmtiposancion.class, TarmtiposancionDTO.class, TarmtiposancionMapper.class),
    TcustbalancefinancialPK(TcustbalancefinancialPK.class, TcustbalancefinancialPKDTO.class, TcustbalancefinancialPKMapper.class),
    Tgenemessagetemplatesdesc(Tgenemessagetemplatesdesc.class, TgenemessagetemplatesdescDTO.class, TgenemessagetemplatesdescMapper.class),
    TcustpeopleincomePK(TcustpeopleincomePK.class, TcustpeopleincomePKDTO.class, TcustpeopleincomePKMapper.class),
    TarmcomeTipoTransaccion(TarmcomeTipoTransaccion.class, TarmcomeTipoTransaccionDTO.class, TarmcomeTipoTransaccionMapper.class),
    Tgenefrequency(Tgenefrequency.class, TgenefrequencyDTO.class, TgenefrequencyMapper.class),
    TgeneconceptPK(TgeneconceptPK.class, TgeneconceptPKDTO.class, TgeneconceptPKMapper.class),
    TcustpeopleexpensesPK(TcustpeopleexpensesPK.class, TcustpeopleexpensesPKDTO.class, TcustpeopleexpensesPKMapper.class),
    Tarmtramite(Tarmtramite.class, TarmtramiteDTO.class, TarmtramiteMapper.class),
    TcustcompanyclientPK(TcustcompanyclientPK.class, TcustcompanyclientPKDTO.class, TcustcompanyclientPKMapper.class),
    TgeneproductdescPK(TgeneproductdescPK.class, TgeneproductdescPKDTO.class, TgeneproductdescPKMapper.class),
    TgeneparametersPK(TgeneparametersPK.class, TgeneparametersPKDTO.class, TgeneparametersPKMapper.class),
    Tarmsolicitudrequisitos(Tarmsolicitudrequisitos.class, TarmsolicitudrequisitosDTO.class, TarmsolicitudrequisitosMapper.class),
    Tcustpeopleassociation(Tcustpeopleassociation.class, TcustpeopleassociationDTO.class, TcustpeopleassociationMapper.class),
    Tgenecredittype(Tgenecredittype.class, TgenecredittypeDTO.class, TgenecredittypeMapper.class),
    TgenedenominationPK(TgenedenominationPK.class, TgenedenominationPKDTO.class, TgenedenominationPKMapper.class),
    MdSchemas(MdSchemas.class, MdSchemasDTO.class, MdSchemasMapper.class),
    Tgenemoduledesc(Tgenemoduledesc.class, TgenemoduledescDTO.class, TgenemoduledescMapper.class),
    Tgeneaccountstatus(Tgeneaccountstatus.class, TgeneaccountstatusDTO.class, TgeneaccountstatusMapper.class),
    Tbpmprocessvariables(Tbpmprocessvariables.class, TbpmprocessvariablesDTO.class, TbpmprocessvariablesMapper.class),
    TbpmflowsPK(TbpmflowsPK.class, TbpmflowsPKDTO.class, TbpmflowsPKMapper.class),
    Tgenesubproductcurrency(Tgenesubproductcurrency.class, TgenesubproductcurrencyDTO.class, TgenesubproductcurrencyMapper.class),
    Tcustcompany(Tcustcompany.class, TcustcompanyDTO.class, TcustcompanyMapper.class),
    Tarminspeccionarchivo(Tarminspeccionarchivo.class, TarminspeccionarchivoDTO.class, TarminspeccionarchivoMapper.class),
    Tgenetransactionlog(Tgenetransactionlog.class, TgenetransactionlogDTO.class, TgenetransactionlogMapper.class),
    TgeneinstallmenttypePK(TgeneinstallmenttypePK.class, TgeneinstallmenttypePKDTO.class, TgeneinstallmenttypePKMapper.class),
    Tgenefiles(Tgenefiles.class, TgenefilesDTO.class, TgenefilesMapper.class),
    Tgeneschedulelog(Tgeneschedulelog.class, TgeneschedulelogDTO.class, TgeneschedulelogMapper.class),
    TarmsolicitudagenciasucursalPK(TarmsolicitudagenciasucursalPK.class, TarmsolicitudagenciasucursalPKDTO.class, TarmsolicitudagenciasucursalPKMapper.class),
    MdConstraints(MdConstraints.class, MdConstraintsDTO.class, MdConstraintsMapper.class),
    Tgenecitydesc(Tgenecitydesc.class, TgenecitydescDTO.class, TgenecitydescMapper.class),
    TarmcertificadoarmasPK(TarmcertificadoarmasPK.class, TarmcertificadoarmasPKDTO.class, TarmcertificadoarmasPKMapper.class),
    Tgeneaccountbatchstatus(Tgeneaccountbatchstatus.class, TgeneaccountbatchstatusDTO.class, TgeneaccountbatchstatusMapper.class),
    TgenefilesdetailPK(TgenefilesdetailPK.class, TgenefilesdetailPKDTO.class, TgenefilesdetailPKMapper.class),
    Tgenetransactionreports(Tgenetransactionreports.class, TgenetransactionreportsDTO.class, TgenetransactionreportsMapper.class),
    TgenenotaccountingdayPK(TgenenotaccountingdayPK.class, TgenenotaccountingdayPKDTO.class, TgenenotaccountingdayPKMapper.class),
    Tgenelabel(Tgenelabel.class, TgenelabelDTO.class, TgenelabelMapper.class),
    Tgenemessage(Tgenemessage.class, TgenemessageDTO.class, TgenemessageMapper.class),
    Tgenscheduleparameters(Tgenscheduleparameters.class, TgenscheduleparametersDTO.class, TgenscheduleparametersMapper.class),
    TcustbalancePK(TcustbalancePK.class, TcustbalancePKDTO.class, TcustbalancePKMapper.class),
    Tgeneaccountbatchprocess(Tgeneaccountbatchprocess.class, TgeneaccountbatchprocessDTO.class, TgeneaccountbatchprocessMapper.class),
    TcustcompanybranchPK(TcustcompanybranchPK.class, TcustcompanybranchPKDTO.class, TcustcompanybranchPKMapper.class),
    TgenetransactionqueryPK(TgenetransactionqueryPK.class, TgenetransactionqueryPKDTO.class, TgenetransactionqueryPKMapper.class),
    TgenemessagetemplatesdescPK(TgenemessagetemplatesdescPK.class, TgenemessagetemplatesdescPKDTO.class, TgenemessagetemplatesdescPKMapper.class),
    Tcustpersonphone(Tcustpersonphone.class, TcustpersonphoneDTO.class, TcustpersonphoneMapper.class),
    Tgenecountrydesc(Tgenecountrydesc.class, TgenecountrydescDTO.class, TgenecountrydescMapper.class),
    Tcustpeopleaditionaldata(Tcustpeopleaditionaldata.class, TcustpeopleaditionaldataDTO.class, TcustpeopleaditionaldataMapper.class),
    Tgenecurrency(Tgenecurrency.class, TgenecurrencyDTO.class, TgenecurrencyMapper.class),
    Tarmarmapruebas(Tarmarmapruebas.class, TarmarmapruebasDTO.class, TarmarmapruebasMapper.class),
    Tcustpeopleincome(Tcustpeopleincome.class, TcustpeopleincomeDTO.class, TcustpeopleincomeMapper.class),
    Tgenecatalogdetailtest(Tgenecatalogdetailtest.class, TgenecatalogdetailtestDTO.class, TgenecatalogdetailtestMapper.class),
    Tcustpersonbankreference(Tcustpersonbankreference.class, TcustpersonbankreferenceDTO.class, TcustpersonbankreferenceMapper.class),
    Tgenemessagedesc(Tgenemessagedesc.class, TgenemessagedescDTO.class, TgenemessagedescMapper.class),
    Tarmtipoarmaexplosivo(Tarmtipoarmaexplosivo.class, TarmtipoarmaexplosivoDTO.class, TarmtipoarmaexplosivoMapper.class),
    Tgenefrequencydesc(Tgenefrequencydesc.class, TgenefrequencydescDTO.class, TgenefrequencydescMapper.class),
    TgenetransactionprocessPK(TgenetransactionprocessPK.class, TgenetransactionprocessPKDTO.class, TgenetransactionprocessPKMapper.class),
    Tcustpeoplerealassets(Tcustpeoplerealassets.class, TcustpeoplerealassetsDTO.class, TcustpeoplerealassetsMapper.class),
    Tbpmgroups(Tbpmgroups.class, TbpmgroupsDTO.class, TbpmgroupsMapper.class),
    Tarmcarga(Tarmcarga.class, TarmcargaDTO.class, TarmcargaMapper.class),
    Tsafeuserprofile(Tsafeuserprofile.class, TsafeuserprofileDTO.class, TsafeuserprofileMapper.class),
    Tgeneproductdesc(Tgeneproductdesc.class, TgeneproductdescDTO.class, TgeneproductdescMapper.class),
    TarminventariosubidoporpersonaPK(TarminventariosubidoporpersonaPK.class, TarminventariosubidoporpersonaPKDTO.class, TarminventariosubidoporpersonaPKMapper.class),
    Tcustpersonpersonalreference(Tcustpersonpersonalreference.class, TcustpersonpersonalreferenceDTO.class, TcustpersonpersonalreferenceMapper.class),
    TbpmprocessvariablesPK(TbpmprocessvariablesPK.class, TbpmprocessvariablesPKDTO.class, TbpmprocessvariablesPKMapper.class),
    Tsafepassword(Tsafepassword.class, TsafepasswordDTO.class, TsafepasswordMapper.class),
    Tgenebatch(Tgenebatch.class, TgenebatchDTO.class, TgenebatchMapper.class),
    Tarmcertificadofiscalia(Tarmcertificadofiscalia.class, TarmcertificadofiscaliaDTO.class, TarmcertificadofiscaliaMapper.class),
    Tgenecatalog(Tgenecatalog.class, TgenecatalogDTO.class, TgenecatalogMapper.class),
    Tgenesubproductdesc(Tgenesubproductdesc.class, TgenesubproductdescDTO.class, TgenesubproductdescMapper.class),
    TgenecantonPK(TgenecantonPK.class, TgenecantonPKDTO.class, TgenecantonPKMapper.class),
    Tgenebalancegroupdesc(Tgenebalancegroupdesc.class, TgenebalancegroupdescDTO.class, TgenebalancegroupdescMapper.class),
    TgenebaseratedetailPK(TgenebaseratedetailPK.class, TgenebaseratedetailPKDTO.class, TgenebaseratedetailPKMapper.class),
    Tarmsancionrecomendacion(Tarmsancionrecomendacion.class, TarmsancionrecomendacionDTO.class, TarmsancionrecomendacionMapper.class),
    Tgenearea(Tgenearea.class, TgeneareaDTO.class, TgeneareaMapper.class),
    Tbpmlogmail(Tbpmlogmail.class, TbpmlogmailDTO.class, TbpmlogmailMapper.class),
    Tgenefilesdetail(Tgenefilesdetail.class, TgenefilesdetailDTO.class, TgenefilesdetailMapper.class),
    TbpmfieldtransactionoriginPK(TbpmfieldtransactionoriginPK.class, TbpmfieldtransactionoriginPKDTO.class, TbpmfieldtransactionoriginPKMapper.class),
    TgenechargescheckbookPK(TgenechargescheckbookPK.class, TgenechargescheckbookPKDTO.class, TgenechargescheckbookPKMapper.class),
    Tarmarmas(Tarmarmas.class, TarmarmasDTO.class, TarmarmasMapper.class),
    Tgeneresults(Tgeneresults.class, TgeneresultsDTO.class, TgeneresultsMapper.class),
    Tgenetransactionglosary(Tgenetransactionglosary.class, TgenetransactionglosaryDTO.class, TgenetransactionglosaryMapper.class),
    Tcustpeople(Tcustpeople.class, TcustpeopleDTO.class, TcustpeopleMapper.class),
    Tarminspeccion(Tarminspeccion.class, TarminspeccionDTO.class, TarminspeccionMapper.class),
    Tarmcabrepdestruirarmas(Tarmcabrepdestruirarmas.class, TarmcabrepdestruirarmasDTO.class, TarmcabrepdestruirarmasMapper.class),
    TbpmgroupsPK(TbpmgroupsPK.class, TbpmgroupsPKDTO.class, TbpmgroupsPKMapper.class),
    Tarmdecomisoarmatransaccion(Tarmdecomisoarmatransaccion.class, TarmdecomisoarmatransaccionDTO.class, TarmdecomisoarmatransaccionMapper.class),
    TgenemessagestructureheaderPK(TgenemessagestructureheaderPK.class, TgenemessagestructureheaderPKDTO.class, TgenemessagestructureheaderPKMapper.class),
    Tarmdecomisoarma(Tarmdecomisoarma.class, TarmdecomisoarmaDTO.class, TarmdecomisoarmaMapper.class),
    Tbpmfieldtransactionorigin(Tbpmfieldtransactionorigin.class, TbpmfieldtransactionoriginDTO.class, TbpmfieldtransactionoriginMapper.class),
    Migrlog(Migrlog.class, MigrlogDTO.class, MigrlogMapper.class),
    Tarmcustodiatemporal(Tarmcustodiatemporal.class, TarmcustodiatemporalDTO.class, TarmcustodiatemporalMapper.class),
    MdCatalogs(MdCatalogs.class, MdCatalogsDTO.class, MdCatalogsMapper.class),
    Tbpmprocessinstance(Tbpmprocessinstance.class, TbpmprocessinstanceDTO.class, TbpmprocessinstanceMapper.class),
    TgenecatalogdetaildescPK(TgenecatalogdetaildescPK.class, TgenecatalogdetaildescPKDTO.class, TgenecatalogdetaildescPKMapper.class),
    Tgenemessagestructureheader(Tgenemessagestructureheader.class, TgenemessagestructureheaderDTO.class, TgenemessagestructureheaderMapper.class),
    Tgeneentity(Tgeneentity.class, TgeneentityDTO.class, TgeneentityMapper.class),
    Tgenetechnicalpatrimony(Tgenetechnicalpatrimony.class, TgenetechnicalpatrimonyDTO.class, TgenetechnicalpatrimonyMapper.class),
    Tcustbalance(Tcustbalance.class, TcustbalanceDTO.class, TcustbalanceMapper.class),
    Tarmordentrabajo(Tarmordentrabajo.class, TarmordentrabajoDTO.class, TarmordentrabajoMapper.class),
    TcustfamiliarllinkPK(TcustfamiliarllinkPK.class, TcustfamiliarllinkPKDTO.class, TcustfamiliarllinkPKMapper.class),
    TgenecurrencydescPK(TgenecurrencydescPK.class, TgenecurrencydescPKDTO.class, TgenecurrencydescPKMapper.class),
    Tarmsolicitudguardias(Tarmsolicitudguardias.class, TarmsolicitudguardiasDTO.class, TarmsolicitudguardiasMapper.class),
    Tarmguardias(Tarmguardias.class, TarmguardiasDTO.class, TarmguardiasMapper.class),
    TgenebatchlogpreviousprocessPK(TgenebatchlogpreviousprocessPK.class, TgenebatchlogpreviousprocessPKDTO.class, TgenebatchlogpreviousprocessPKMapper.class),
    TgenetransactionreportsPK(TgenetransactionreportsPK.class, TgenetransactionreportsPKDTO.class, TgenetransactionreportsPKMapper.class),
    Tgeneaccobatchpreviousprocess(Tgeneaccobatchpreviousprocess.class, TgeneaccobatchpreviousprocessDTO.class, TgeneaccobatchpreviousprocessMapper.class),
    Tgeneservices(Tgeneservices.class, TgeneservicesDTO.class, TgeneservicesMapper.class),
    Tarmcoladeimpresion(Tarmcoladeimpresion.class, TarmcoladeimpresionDTO.class, TarmcoladeimpresionMapper.class),
    TcustpersonphonePK(TcustpersonphonePK.class, TcustpersonphonePKDTO.class, TcustpersonphonePKMapper.class),
    Tarmdetrepdestruirarmas(Tarmdetrepdestruirarmas.class, TarmdetrepdestruirarmasDTO.class, TarmdetrepdestruirarmasMapper.class),
    MgvAllViews(MgvAllViews.class, MgvAllViewsDTO.class, MgvAllViewsMapper.class),
    Tarmpreguntas(Tarmpreguntas.class, TarmpreguntasDTO.class, TarmpreguntasMapper.class),
    Tgenequeryprocess(Tgenequeryprocess.class, TgenequeryprocessDTO.class, TgenequeryprocessMapper.class),
    TsafeprofilehoraryPK(TsafeprofilehoraryPK.class, TsafeprofilehoraryPKDTO.class, TsafeprofilehoraryPKMapper.class),
    Tgenechargesgroup(Tgenechargesgroup.class, TgenechargesgroupDTO.class, TgenechargesgroupMapper.class),
    TcustcompanyproductsPK(TcustcompanyproductsPK.class, TcustcompanyproductsPKDTO.class, TcustcompanyproductsPKMapper.class),
    TarmcomeTransaccionDetallePK(TarmcomeTransaccionDetallePK.class, TarmcomeTransaccionDetallePKDTO.class, TarmcomeTransaccionDetallePKMapper.class),
    Tgeneconcept(Tgeneconcept.class, TgeneconceptDTO.class, TgeneconceptMapper.class),
    TcustpersonaddressPK(TcustpersonaddressPK.class, TcustpersonaddressPKDTO.class, TcustpersonaddressPKMapper.class),
    Tgenemenuleveltran(Tgenemenuleveltran.class, TgenemenuleveltranDTO.class, TgenemenuleveltranMapper.class),
    MdMigrWeakdep(MdMigrWeakdep.class, MdMigrWeakdepDTO.class, MdMigrWeakdepMapper.class),
    TgenetransactionPK(TgenetransactionPK.class, TgenetransactionPKDTO.class, TgenetransactionPKMapper.class),
    Tgenefiletype(Tgenefiletype.class, TgenefiletypeDTO.class, TgenefiletypeMapper.class),
    Tgeneprocessdesc(Tgeneprocessdesc.class, TgeneprocessdescDTO.class, TgeneprocessdescMapper.class),
    Tarmbodega(Tarmbodega.class, TarmbodegaDTO.class, TarmbodegaMapper.class),
    Tbpmgroupsusers(Tbpmgroupsusers.class, TbpmgroupsusersDTO.class, TbpmgroupsusersMapper.class),
    TgenesubproductratePK(TgenesubproductratePK.class, TgenesubproductratePKDTO.class, TgenesubproductratePKMapper.class),
    Tlogloaderror(Tlogloaderror.class, TlogloaderrorDTO.class, TlogloaderrorMapper.class),
    Tcustpeopleexpenses(Tcustpeopleexpenses.class, TcustpeopleexpensesDTO.class, TcustpeopleexpensesMapper.class),
    TgenemenudescPK(TgenemenudescPK.class, TgenemenudescPKDTO.class, TgenemenudescPKMapper.class),
    Tarmcargadetalle(Tarmcargadetalle.class, TarmcargadetalleDTO.class, TarmcargadetalleMapper.class),
    Tbpmactivities(Tbpmactivities.class, TbpmactivitiesDTO.class, TbpmactivitiesMapper.class),
    TgeneentityPK(TgeneentityPK.class, TgeneentityPKDTO.class, TgeneentityPKMapper.class),
    Tgenesubproductrate(Tgenesubproductrate.class, TgenesubproductrateDTO.class, TgenesubproductrateMapper.class),
    TgenecityPK(TgenecityPK.class, TgenecityPKDTO.class, TgenecityPKMapper.class),
    TcustpeopletradereferencesPK(TcustpeopletradereferencesPK.class, TcustpeopletradereferencesPKDTO.class, TcustpeopletradereferencesPKMapper.class),
    Tgenemenusubleveldesc(Tgenemenusubleveldesc.class, TgenemenusubleveldescDTO.class, TgenemenusubleveldescMapper.class),
    Tcustcompanybranch(Tcustcompanybranch.class, TcustcompanybranchDTO.class, TcustcompanybranchMapper.class),
    Tarmtramitev(Tarmtramitev.class, TarmtramitevDTO.class, TarmtramitevMapper.class),
    TgenemenusubleveltranPK(TgenemenusubleveltranPK.class, TgenemenusubleveltranPKDTO.class, TgenemenusubleveltranPKMapper.class),
    TgenetransactiondescPK(TgenetransactiondescPK.class, TgenetransactiondescPKDTO.class, TgenetransactiondescPKMapper.class),
    Tgenetransactionprocess(Tgenetransactionprocess.class, TgenetransactionprocessDTO.class, TgenetransactionprocessMapper.class),
    Tarmregistroarmas(Tarmregistroarmas.class, TarmregistroarmasDTO.class, TarmregistroarmasMapper.class),
    MgvAllConnections(MgvAllConnections.class, MgvAllConnectionsDTO.class, MgvAllConnectionsMapper.class),
    TgeneprovincePK(TgeneprovincePK.class, TgeneprovincePKDTO.class, TgeneprovincePKMapper.class),
    TgenebatchprocessPK(TgenebatchprocessPK.class, TgenebatchprocessPKDTO.class, TgenebatchprocessPKMapper.class),
    MdTriggers(MdTriggers.class, MdTriggersDTO.class, MdTriggersMapper.class),
    Tgenebatchlog(Tgenebatchlog.class, TgenebatchlogDTO.class, TgenebatchlogMapper.class),
    MdSequences(MdSequences.class, MdSequencesDTO.class, MdSequencesMapper.class),
    Tgenecatalogdesc(Tgenecatalogdesc.class, TgenecatalogdescDTO.class, TgenecatalogdescMapper.class),
    Tcustbalancefinancial(Tcustbalancefinancial.class, TcustbalancefinancialDTO.class, TcustbalancefinancialMapper.class),
    TgenebatchlogPK(TgenebatchlogPK.class, TgenebatchlogPKDTO.class, TgenebatchlogPKMapper.class),
    Tgenenotaccountingday(Tgenenotaccountingday.class, TgenenotaccountingdayDTO.class, TgenenotaccountingdayMapper.class),
    Tarmplanificacioninspeccion(Tarmplanificacioninspeccion.class, TarmplanificacioninspeccionDTO.class, TarmplanificacioninspeccionMapper.class),
    Tarmcomerciantecupo(Tarmcomerciantecupo.class, TarmcomerciantecupoDTO.class, TarmcomerciantecupoMapper.class),
    Tgenecity(Tgenecity.class, TgenecityDTO.class, TgenecityMapper.class),
    TarmsolicitudrequisitosPK(TarmsolicitudrequisitosPK.class, TarmsolicitudrequisitosPKDTO.class, TarmsolicitudrequisitosPKMapper.class),
    Tgenereport(Tgenereport.class, TgenereportDTO.class, TgenereportMapper.class),
    TsafepasswordPK(TsafepasswordPK.class, TsafepasswordPKDTO.class, TsafepasswordPKMapper.class),
    MdPrivileges(MdPrivileges.class, MdPrivilegesDTO.class, MdPrivilegesMapper.class),
    MgvAllTables(MgvAllTables.class, MgvAllTablesDTO.class, MgvAllTablesMapper.class),
    MdTablespaces(MdTablespaces.class, MdTablespacesDTO.class, MdTablespacesMapper.class),
    MdApplications(MdApplications.class, MdApplicationsDTO.class, MdApplicationsMapper.class),
    Tcustpeopleloan(Tcustpeopleloan.class, TcustpeopleloanDTO.class, TcustpeopleloanMapper.class),
    TbpmfieldtransactionmapingPK(TbpmfieldtransactionmapingPK.class, TbpmfieldtransactionmapingPKDTO.class, TbpmfieldtransactionmapingPKMapper.class),
    TgenebaseaccountPK(TgenebaseaccountPK.class, TgenebaseaccountPKDTO.class, TgenebaseaccountPKMapper.class),
    TgenefieldsPK(TgenefieldsPK.class, TgenefieldsPKDTO.class, TgenefieldsPKMapper.class),
    Tgenebalancetypedesc(Tgenebalancetypedesc.class, TgenebalancetypedescDTO.class, TgenebalancetypedescMapper.class),
    Tgenemessagestructure(Tgenemessagestructure.class, TgenemessagestructureDTO.class, TgenemessagestructureMapper.class),
    TcustpersonpersonalreferencePK(TcustpersonpersonalreferencePK.class, TcustpersonpersonalreferencePKDTO.class, TcustpersonpersonalreferencePKMapper.class),
    MdProjects(MdProjects.class, MdProjectsDTO.class, MdProjectsMapper.class),
    Tsafeterminal(Tsafeterminal.class, TsafeterminalDTO.class, TsafeterminalMapper.class),
    TarmcomeTransaccionDetalle(TarmcomeTransaccionDetalle.class, TarmcomeTransaccionDetalleDTO.class, TarmcomeTransaccionDetalleMapper.class),
    Tgenebatchpreviousprocess(Tgenebatchpreviousprocess.class, TgenebatchpreviousprocessDTO.class, TgenebatchpreviousprocessMapper.class),
    Tbpmnotify(Tbpmnotify.class, TbpmnotifyDTO.class, TbpmnotifyMapper.class),
    TgenereportdetailPK(TgenereportdetailPK.class, TgenereportdetailPKDTO.class, TgenereportdetailPKMapper.class),
    Tcustbalanceaccount(Tcustbalanceaccount.class, TcustbalanceaccountDTO.class, TcustbalanceaccountMapper.class),
    Tgenebatchlogpreviousprocess(Tgenebatchlogpreviousprocess.class, TgenebatchlogpreviousprocessDTO.class, TgenebatchlogpreviousprocessMapper.class),
    Tgenemenu(Tgenemenu.class, TgenemenuDTO.class, TgenemenuMapper.class),
    MdConnections(MdConnections.class, MdConnectionsDTO.class, MdConnectionsMapper.class),
    Tgenechargescheckbook(Tgenechargescheckbook.class, TgenechargescheckbookDTO.class, TgenechargescheckbookMapper.class),
    TcustpeoplefixedincomePK(TcustpeoplefixedincomePK.class, TcustpeoplefixedincomePKDTO.class, TcustpeoplefixedincomePKMapper.class),
    TlogloaderrorPK(TlogloaderrorPK.class, TlogloaderrorPKDTO.class, TlogloaderrorPKMapper.class),
    Tgenesubproduct(Tgenesubproduct.class, TgenesubproductDTO.class, TgenesubproductMapper.class),
    TcustlegallinkPK(TcustlegallinkPK.class, TcustlegallinkPKDTO.class, TcustlegallinkPKMapper.class),
    Tsafeuserdetail(Tsafeuserdetail.class, TsafeuserdetailDTO.class, TsafeuserdetailMapper.class),
    TcustpeopleloanPK(TcustpeopleloanPK.class, TcustpeopleloanPKDTO.class, TcustpeopleloanPKMapper.class),
    TsafeauditinsdelPK(TsafeauditinsdelPK.class, TsafeauditinsdelPKDTO.class, TsafeauditinsdelPKMapper.class),
    TgenecatalogdescPK(TgenecatalogdescPK.class, TgenecatalogdescPKDTO.class, TgenecatalogdescPKMapper.class),
    Tcustfamiliarllink(Tcustfamiliarllink.class, TcustfamiliarllinkDTO.class, TcustfamiliarllinkMapper.class),
    Tgenecatalogdetail(Tgenecatalogdetail.class, TgenecatalogdetailDTO.class, TgenecatalogdetailMapper.class),
    TgeneproductPK(TgeneproductPK.class, TgeneproductPKDTO.class, TgeneproductPKMapper.class),
    Tcustcompanyprovider(Tcustcompanyprovider.class, TcustcompanyproviderDTO.class, TcustcompanyproviderMapper.class),
    Tarmmovimientoarmas(Tarmmovimientoarmas.class, TarmmovimientoarmasDTO.class, TarmmovimientoarmasMapper.class),
    TgenesubproductcurrencyPK(TgenesubproductcurrencyPK.class, TgenesubproductcurrencyPKDTO.class, TgenesubproductcurrencyPKMapper.class),
    Tgenebatchprocess(Tgenebatchprocess.class, TgenebatchprocessDTO.class, TgenebatchprocessMapper.class),
    TgenemenuleveltranPK(TgenemenuleveltranPK.class, TgenemenuleveltranPKDTO.class, TgenemenuleveltranPKMapper.class),
    TgenecountrydescPK(TgenecountrydescPK.class, TgenecountrydescPKDTO.class, TgenecountrydescPKMapper.class),
    Tarmdecomiso(Tarmdecomiso.class, TarmdecomisoDTO.class, TarmdecomisoMapper.class),
    MdRegistryPK(MdRegistryPK.class, MdRegistryPKDTO.class, MdRegistryPKMapper.class),
    Tgenescheduleevent(Tgenescheduleevent.class, TgenescheduleeventDTO.class, TgenescheduleeventMapper.class),
    TgenebalancetypePK(TgenebalancetypePK.class, TgenebalancetypePKDTO.class, TgenebalancetypePKMapper.class),
    Tarmordentrabajocustodios(Tarmordentrabajocustodios.class, TarmordentrabajocustodiosDTO.class, TarmordentrabajocustodiosMapper.class),
    TgeneaccountstatusPK(TgeneaccountstatusPK.class, TgeneaccountstatusPKDTO.class, TgeneaccountstatusPKMapper.class),
    MdMigrParameter(MdMigrParameter.class, MdMigrParameterDTO.class, MdMigrParameterMapper.class),
    MigrGenerationOrder(MigrGenerationOrder.class, MigrGenerationOrderDTO.class, MigrGenerationOrderMapper.class),
    Tgenesequences(Tgenesequences.class, TgenesequencesDTO.class, TgenesequencesMapper.class),
    Tgenebalancetypedetail(Tgenebalancetypedetail.class, TgenebalancetypedetailDTO.class, TgenebalancetypedetailMapper.class),
    Tgenechannels(Tgenechannels.class, TgenechannelsDTO.class, TgenechannelsMapper.class),
    TgenebalancetypedescPK(TgenebalancetypedescPK.class, TgenebalancetypedescPKDTO.class, TgenebalancetypedescPKMapper.class),
    TcustcompanymanagersPK(TcustcompanymanagersPK.class, TcustcompanymanagersPKDTO.class, TcustcompanymanagersPKMapper.class),
    Tgenetransactiondesc(Tgenetransactiondesc.class, TgenetransactiondescDTO.class, TgenetransactiondescMapper.class),
    Tcustpersonbalance(Tcustpersonbalance.class, TcustpersonbalanceDTO.class, TcustpersonbalanceMapper.class),
    TsafeusercompanyPK(TsafeusercompanyPK.class, TsafeusercompanyPKDTO.class, TsafeusercompanyPKMapper.class),
    Tgenetransactionreportlink(Tgenetransactionreportlink.class, TgenetransactionreportlinkDTO.class, TgenetransactionreportlinkMapper.class),
    MdIndexes(MdIndexes.class, MdIndexesDTO.class, MdIndexesMapper.class),
    Tgenescheduleprocess(Tgenescheduleprocess.class, TgenescheduleprocessDTO.class, TgenescheduleprocessMapper.class),
    Tcustcompanyfinancial(Tcustcompanyfinancial.class, TcustcompanyfinancialDTO.class, TcustcompanyfinancialMapper.class),
    Tgenebalancetype(Tgenebalancetype.class, TgenebalancetypeDTO.class, TgenebalancetypeMapper.class),
    Tgenedenomination(Tgenedenomination.class, TgenedenominationDTO.class, TgenedenominationMapper.class),
    MdRegistry(MdRegistry.class, MdRegistryDTO.class, MdRegistryMapper.class),
    Tgenebaseratedetail(Tgenebaseratedetail.class, TgenebaseratedetailDTO.class, TgenebaseratedetailMapper.class),
    TgenechargesgroupPK(TgenechargesgroupPK.class, TgenechargesgroupPKDTO.class, TgenechargesgroupPKMapper.class),
    Tgenemessagestructuredata(Tgenemessagestructuredata.class, TgenemessagestructuredataDTO.class, TgenemessagestructuredataMapper.class),
    MdConstraintDetails(MdConstraintDetails.class, MdConstraintDetailsDTO.class, MdConstraintDetailsMapper.class),
    TarmtagarmaPK(TarmtagarmaPK.class, TarmtagarmaPKDTO.class, TarmtagarmaPKMapper.class),
    Tgenemenusublevel(Tgenemenusublevel.class, TgenemenusublevelDTO.class, TgenemenusublevelMapper.class),
    Tsafeusercompany(Tsafeusercompany.class, TsafeusercompanyDTO.class, TsafeusercompanyMapper.class),
    TfirmcertificadoPK(TfirmcertificadoPK.class, TfirmcertificadoPKDTO.class, TfirmcertificadoPKMapper.class),
    TgeneofficePK(TgeneofficePK.class, TgeneofficePKDTO.class, TgeneofficePKMapper.class),
    Tarmrequisito(Tarmrequisito.class, TarmrequisitoDTO.class, TarmrequisitoMapper.class),
    TgeneschedulelogPK(TgeneschedulelogPK.class, TgeneschedulelogPKDTO.class, TgeneschedulelogPKMapper.class),
    Tarmventaarmatem(Tarmventaarmatem.class, TarmventaarmatemDTO.class, TarmventaarmatemMapper.class),
    TgeneaccobatchpreviousprocessPK(TgeneaccobatchpreviousprocessPK.class, TgeneaccobatchpreviousprocessPKDTO.class, TgeneaccobatchpreviousprocessPKMapper.class),
    Tcustpeopleotherassets(Tcustpeopleotherassets.class, TcustpeopleotherassetsDTO.class, TcustpeopleotherassetsMapper.class),
    TgenefrequencydescPK(TgenefrequencydescPK.class, TgenefrequencydescPKDTO.class, TgenefrequencydescPKMapper.class),
    Tarmsitioalmacenamiento(Tarmsitioalmacenamiento.class, TarmsitioalmacenamientoDTO.class, TarmsitioalmacenamientoMapper.class),
    Tcusteconomicgroup(Tcusteconomicgroup.class, TcusteconomicgroupDTO.class, TcusteconomicgroupMapper.class),
    Tarmsolicitudarmas(Tarmsolicitudarmas.class, TarmsolicitudarmasDTO.class, TarmsolicitudarmasMapper.class),
    Tbpmflows(Tbpmflows.class, TbpmflowsDTO.class, TbpmflowsMapper.class),
    Tgenemenusubleveltran(Tgenemenusubleveltran.class, TgenemenusubleveltranDTO.class, TgenemenusubleveltranMapper.class),
    MdGroupPrivileges(MdGroupPrivileges.class, MdGroupPrivilegesDTO.class, MdGroupPrivilegesMapper.class),
    TsafeterminalPK(TsafeterminalPK.class, TsafeterminalPKDTO.class, TsafeterminalPKMapper.class),
    TcusteconomicgroupPK(TcusteconomicgroupPK.class, TcusteconomicgroupPKDTO.class, TcusteconomicgroupPKMapper.class),
    Tarmlectura(Tarmlectura.class, TarmlecturaDTO.class, TarmlecturaMapper.class),
    Tgenebaseaccount(Tgenebaseaccount.class, TgenebaseaccountDTO.class, TgenebaseaccountMapper.class),
    Tgenemodule(Tgenemodule.class, TgenemoduleDTO.class, TgenemoduleMapper.class),
    MdUserPrivileges(MdUserPrivileges.class, MdUserPrivilegesDTO.class, MdUserPrivilegesMapper.class),
    Tarmdocumentohabilitantedetall(Tarmdocumentohabilitantedetall.class, TarmdocumentohabilitantedetallDTO.class, TarmdocumentohabilitantedetallMapper.class),
    TcustpeoplerealassetsPK(TcustpeoplerealassetsPK.class, TcustpeoplerealassetsPKDTO.class, TcustpeoplerealassetsPKMapper.class),
    Tarmlecturadetalle(Tarmlecturadetalle.class, TarmlecturadetalleDTO.class, TarmlecturadetalleMapper.class),
    Vwarmasactdir(Vwarmasactdir.class, VwarmasactdirDTO.class, VwarmasactdirMapper.class),
    TsafeusersessionlogPK(TsafeusersessionlogPK.class, TsafeusersessionlogPKDTO.class, TsafeusersessionlogPKMapper.class),
    MdColumns(MdColumns.class, MdColumnsDTO.class, MdColumnsMapper.class),
    MdIndexDetails(MdIndexDetails.class, MdIndexDetailsDTO.class, MdIndexDetailsMapper.class),
    TgenetransactionpagesPK(TgenetransactionpagesPK.class, TgenetransactionpagesPKDTO.class, TgenetransactionpagesPKMapper.class),
    Tgeneprocess(Tgeneprocess.class, TgeneprocessDTO.class, TgeneprocessMapper.class),
    MgvAllViewTriggers(MgvAllViewTriggers.class, MgvAllViewTriggersDTO.class, MgvAllViewTriggersMapper.class),
    Tgenebalancegroup(Tgenebalancegroup.class, TgenebalancegroupDTO.class, TgenebalancegroupMapper.class),
    TgenebatchPK(TgenebatchPK.class, TgenebatchPKDTO.class, TgenebatchPKMapper.class),
    Tgenefields(Tgenefields.class, TgenefieldsDTO.class, TgenefieldsMapper.class),
    MdPartitions(MdPartitions.class, MdPartitionsDTO.class, MdPartitionsMapper.class),
    Tsafeusersession(Tsafeusersession.class, TsafeusersessionDTO.class, TsafeusersessionMapper.class),
    TgenereportPK(TgenereportPK.class, TgenereportPKDTO.class, TgenereportPKMapper.class),
    Tarmsolicituddocumento(Tarmsolicituddocumento.class, TarmsolicituddocumentoDTO.class, TarmsolicituddocumentoMapper.class),
    Tarmtagarma(Tarmtagarma.class, TarmtagarmaDTO.class, TarmtagarmaMapper.class),
    TgeneaccountbatchpreviousprocePK(TgeneaccountbatchpreviousprocePK.class, TgeneaccountbatchpreviousprocePKDTO.class, TgeneaccountbatchpreviousprocePKMapper.class),
    Tarmcencontroljur(Tarmcencontroljur.class, TarmcencontroljurDTO.class, TarmcencontroljurMapper.class),
    TcustpeopleassociationPK(TcustpeopleassociationPK.class, TcustpeopleassociationPKDTO.class, TcustpeopleassociationPKMapper.class),
    TcustcompanyPK(TcustcompanyPK.class, TcustcompanyPKDTO.class, TcustcompanyPKMapper.class),
    TarmrequisitoportipotramitePK(TarmrequisitoportipotramitePK.class, TarmrequisitoportipotramitePKDTO.class, TarmrequisitoportipotramitePKMapper.class),
    MdPackages(MdPackages.class, MdPackagesDTO.class, MdPackagesMapper.class),
    Tgeneparameters(Tgeneparameters.class, TgeneparametersDTO.class, TgeneparametersMapper.class),
    Tcustpeopletradereferences(Tcustpeopletradereferences.class, TcustpeopletradereferencesDTO.class, TcustpeopletradereferencesMapper.class),
    MigrDatatypeTransformRule(MigrDatatypeTransformRule.class, MigrDatatypeTransformRuleDTO.class, MigrDatatypeTransformRuleMapper.class),
    MdStoredPrograms(MdStoredPrograms.class, MdStoredProgramsDTO.class, MdStoredProgramsMapper.class),
    TgeneprovincedescPK(TgeneprovincedescPK.class, TgeneprovincedescPKDTO.class, TgeneprovincedescPKMapper.class),
    MdMigrDependency(MdMigrDependency.class, MdMigrDependencyDTO.class, MdMigrDependencyMapper.class),
    Tgenebaserate(Tgenebaserate.class, TgenebaserateDTO.class, TgenebaserateMapper.class),
    Tcustinsurance(Tcustinsurance.class, TcustinsuranceDTO.class, TcustinsuranceMapper.class),
    Tgeneactivity(Tgeneactivity.class, TgeneactivityDTO.class, TgeneactivityMapper.class),
    Tarmtransaccionarmabodega(Tarmtransaccionarmabodega.class, TarmtransaccionarmabodegaDTO.class, TarmtransaccionarmabodegaMapper.class),
    TcustpeopleaditionaldataPK(TcustpeopleaditionaldataPK.class, TcustpeopleaditionaldataPKDTO.class, TcustpeopleaditionaldataPKMapper.class),
    TgenemenusubleveldescPK(TgenemenusubleveldescPK.class, TgenemenusubleveldescPKDTO.class, TgenemenusubleveldescPKMapper.class),
    TgenecurrencyrategroupPK(TgenecurrencyrategroupPK.class, TgenecurrencyrategroupPKDTO.class, TgenecurrencyrategroupPKMapper.class),
    TcustpersonbankreferencePK(TcustpersonbankreferencePK.class, TcustpersonbankreferencePKDTO.class, TcustpersonbankreferencePKMapper.class),
    Tgenefunctions(Tgenefunctions.class, TgenefunctionsDTO.class, TgenefunctionsMapper.class),
    TgenemessagestructuredataPK(TgenemessagestructuredataPK.class, TgenemessagestructuredataPKDTO.class, TgenemessagestructuredataPKMapper.class),
    TarmsolicitudarmasPK(TarmsolicitudarmasPK.class, TarmsolicitudarmasPKDTO.class, TarmsolicitudarmasPKMapper.class),
    Tsafeprofile(Tsafeprofile.class, TsafeprofileDTO.class, TsafeprofileMapper.class),
    TarmunidadtipoPK(TarmunidadtipoPK.class, TarmunidadtipoPKDTO.class, TarmunidadtipoPKMapper.class),
    Tcustpeoplevehicle(Tcustpeoplevehicle.class, TcustpeoplevehicleDTO.class, TcustpeoplevehicleMapper.class),
    TgenebalancegroupdescPK(TgenebalancegroupdescPK.class, TgenebalancegroupdescPKDTO.class, TgenebalancegroupdescPKMapper.class),
    TarmsolicitudtramitePK(TarmsolicitudtramitePK.class, TarmsolicitudtramitePKDTO.class, TarmsolicitudtramitePKMapper.class),
    Tgenecatalogdetaildesc(Tgenecatalogdetaildesc.class, TgenecatalogdetaildescDTO.class, TgenecatalogdetaildescMapper.class),
    TgenecitydescPK(TgenecitydescPK.class, TgenecitydescPKDTO.class, TgenecitydescPKMapper.class),
    TcustpeoplevehiclePK(TcustpeoplevehiclePK.class, TcustpeoplevehiclePKDTO.class, TcustpeoplevehiclePKMapper.class),
    Tgenemenulevel(Tgenemenulevel.class, TgenemenulevelDTO.class, TgenemenulevelMapper.class),
    TarmsolicitudguardiasPK(TarmsolicitudguardiasPK.class, TarmsolicitudguardiasPKDTO.class, TarmsolicitudguardiasPKMapper.class),
    Tgenecurrencyrate(Tgenecurrencyrate.class, TgenecurrencyrateDTO.class, TgenecurrencyrateMapper.class),
    Tgenemessagetemplates(Tgenemessagetemplates.class, TgenemessagetemplatesDTO.class, TgenemessagetemplatesMapper.class),
    Tgeneprovince(Tgeneprovince.class, TgeneprovinceDTO.class, TgeneprovinceMapper.class),
    VwTarmtipoarmaexplosivo(VwTarmtipoarmaexplosivo.class, VwTarmtipoarmaexplosivoDTO.class, VwTarmtipoarmaexplosivoMapper.class),
    TgeneparroquiaPK(TgeneparroquiaPK.class, TgeneparroquiaPKDTO.class, TgeneparroquiaPKMapper.class),
    Tgenecanton(Tgenecanton.class, TgenecantonDTO.class, TgenecantonMapper.class),
    MdViews(MdViews.class, MdViewsDTO.class, MdViewsMapper.class),
    TgeneinstallmenttypedescPK(TgeneinstallmenttypedescPK.class, TgeneinstallmenttypedescPKDTO.class, TgeneinstallmenttypedescPKMapper.class),
    Tarmtotalpersona(Tarmtotalpersona.class, TarmtotalpersonaDTO.class, TarmtotalpersonaMapper.class),
    Tarmsolicitudtramite(Tarmsolicitudtramite.class, TarmsolicitudtramiteDTO.class, TarmsolicitudtramiteMapper.class),
    Tgenetransactionpages(Tgenetransactionpages.class, TgenetransactionpagesDTO.class, TgenetransactionpagesMapper.class),
    Tbpmfield(Tbpmfield.class, TbpmfieldDTO.class, TbpmfieldMapper.class),
    Tcustlegallink(Tcustlegallink.class, TcustlegallinkDTO.class, TcustlegallinkMapper.class),
    Tarmcertificadoarmas(Tarmcertificadoarmas.class, TarmcertificadoarmasDTO.class, TarmcertificadoarmasMapper.class),
    TcustpeoplePK(TcustpeoplePK.class, TcustpeoplePKDTO.class, TcustpeoplePKMapper.class),
    MdFileArtifacts(MdFileArtifacts.class, MdFileArtifactsDTO.class, MdFileArtifactsMapper.class),
    Tgeneparroquia(Tgeneparroquia.class, TgeneparroquiaDTO.class, TgeneparroquiaMapper.class),
    Tegenecantondesc(Tegenecantondesc.class, TegenecantondescDTO.class, TegenecantondescMapper.class),
    Tgenecredittypedesc(Tgenecredittypedesc.class, TgenecredittypedescDTO.class, TgenecredittypedescMapper.class),
    Tgenesubproductcharges(Tgenesubproductcharges.class, TgenesubproductchargesDTO.class, TgenesubproductchargesMapper.class),
    Tcustpersonaddress(Tcustpersonaddress.class, TcustpersonaddressDTO.class, TcustpersonaddressMapper.class),
    TgenesubproductdescPK(TgenesubproductdescPK.class, TgenesubproductdescPKDTO.class, TgenesubproductdescPKMapper.class),
    Tgeneaccountbatchpreviousproce(Tgeneaccountbatchpreviousproce.class, TgeneaccountbatchpreviousproceDTO.class, TgeneaccountbatchpreviousproceMapper.class),
    TgenebatchpreviousprocessPK(TgenebatchpreviousprocessPK.class, TgenebatchpreviousprocessPKDTO.class, TgenebatchpreviousprocessPKMapper.class),
    TbpmrulesPK(TbpmrulesPK.class, TbpmrulesPKDTO.class, TbpmrulesPKMapper.class),
    Tgenemenuleveldesc(Tgenemenuleveldesc.class, TgenemenuleveldescDTO.class, TgenemenuleveldescMapper.class),
    Tarmagenciasucursal(Tarmagenciasucursal.class, TarmagenciasucursalDTO.class, TarmagenciasucursalMapper.class),
    Tarmcashmanagementhistory(Tarmcashmanagementhistory.class, TarmcashmanagementhistoryDTO.class, TarmcashmanagementhistoryMapper.class),
    TgeneprocessPK(TgeneprocessPK.class, TgeneprocessPKDTO.class, TgeneprocessPKMapper.class),
    TcustpersondetailPK(TcustpersondetailPK.class, TcustpersondetailPKDTO.class, TcustpersondetailPKMapper.class),
    ;
    private final Class entidad;
    private final Class dto;
    private final Class mapper;

    private EntidadEnum(Class entidad, Class dto, Class mapper) {
        this.entidad = entidad;
        this.dto = dto;
        this.mapper = mapper;
    }

    public Class getEntidad() {
        return entidad;
    }

    public Class getDto() {
        return dto;
    }

    public Class getMapper() {
        return mapper;
    }
}
